> ## Documentation Index
> Fetch the complete documentation index at: https://developers.quotivity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Bundle Option

> Creates a new option for a bundle. Options can be INCLUDED (required) or ADD_ON (optional). Products can be added inline.



## OpenAPI

````yaml swagger.json post /bundles/{bundleId}/options
openapi: 3.0.0
info:
  title: Quotivity API
  description: Developer APIs for the Quotivity CPQ platform.
  version: 1.0.0
servers:
  - url: https://api.secure.quotivity.com/v1
    description: Production API Server
security: []
paths:
  /bundles/{bundleId}/options:
    post:
      tags:
        - Bundle Options
      summary: Create Bundle Option
      description: >-
        Creates a new option for a bundle. Options can be INCLUDED (required) or
        ADD_ON (optional). Products can be added inline.
      parameters:
        - name: bundleId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateBundleOptionRequest'
      responses:
        '201':
          description: Bundle option created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BundleOption'
        '400':
          description: Invalid request
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CreateBundleOptionRequest:
      type: object
      properties:
        name:
          type: string
        description:
          type: string
          nullable: true
        type:
          type: string
          enum:
            - ADD_ON
            - INCLUDED
        products:
          type: array
          items:
            type: object
            properties:
              productId:
                type: string
              properties:
                type: object
                additionalProperties:
                  type: string
            required:
              - productId
              - properties
      required:
        - name
        - type
    BundleOption:
      type: object
      properties:
        id:
          type: string
        accountId:
          type: string
        bundleId:
          type: string
        name:
          type: string
        description:
          type: string
          nullable: true
        priceBookId:
          type: string
        displayOrder:
          type: number
        configuration:
          $ref: '#/components/schemas/BundleOptionConfiguration'
      required:
        - id
        - accountId
        - bundleId
        - name
        - priceBookId
        - displayOrder
        - configuration
    BundleOptionConfiguration:
      type: object
      properties:
        minCount:
          type: number
          nullable: true
        maxCount:
          type: number
          nullable: true
        defaultOptionProductId:
          type: string
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````